// 登録
function regist(formaParam, sendParam) {
  var applicationId = formaParam.applicationId;
  var insertId = formaParam.insertId;
  var processKey = formaParam.processKey;

  // 案件に紐付くファイル情報を取得
  var manager = new FormaFileUploadItemManager(applicationId);
  var filesInfo = manager.getFilesInfo(insertId, processKey);

  // バリデーション対象のアイテムID
  var itemId = 'attach_fileupload_item1';
  // 添付ファイルが無い場合は処理なし
  if (Object.keys(filesInfo.data).length === 0) {
    return {
      error : false
    };
  }

  // 添付ファイルごとに判定を行う
  for (var i = 0; i < filesInfo.data[itemId].length; i++){
    // ファイル名のバリデーション
    var fileName = filesInfo.data[itemId][i].file_name;
    if (fileName.indexOf('_') !== -1){
      // ファイル名にアンダーバーが含まれる場合はエラー
      return {
        error : true,
        errorMessage : 'Files with an incorrect file name was attached.', // ログに出力するエラーメッセージ
        userErrorMessage :'Files containing underscores in file names can not be attached. File name:' + fileName, // 画面に表示するエラーメッセージ
        outputLog : true
      };
    }

    try { 
      // ファイルサイズのバリデーション
      var file = manager.getFile(insertId, filesInfo.data[itemId][i].file_id, processKey); // ファイルの実体を取得
      var fileSize = file.data['data'].available();
      if (fileSize >= 1048576){
    	// ファイルサイズが1MB以上の場合はエラー
        return {
          error : true,
          errorMessage : 'Files with an incorrect file size was attached.', // ログに出力するエラーメッセージ
          userErrorMessage :'Files of 1 MB or larger can not be attached. File name:' + fileName, // 画面に表示するエラーメッセージ
          outputLog : true
        };
      }
    } finally {
      file.data['data'].close();
    } 
  }

  return {
    error : false
  };
}